Skip to Content
New release 12 available 🎉

Reports

POST/v1/reportPOST /v1/report

Code samples

# You can also use wget curl -X POST /v1/report \ -H 'Content-Type: application/json-patch+json' \ -H 'Accept: text/plain'

POST /v1/report

Body parameter

{ "userKey": "string", "machineId": "string", "clientId": "string", "clientName": "string", "report": { "name": "string", "version": "string", "date": { "seconds": 0, "nanos": 0 }, "encrypted": true, "content": [ 0 ] } }

Parameters

NameInTypeRequiredDescription
bodybodyLicensing.SendReportRequestfalsenone

Example responses

200 Response

{"success":true,"reportUid":"string"}
{ "success": true, "reportUid": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKLicensing.SendReportResponse

Authentication: Bearer token or API key (x-api-key).

Last updated on